Verify the status of a payout
curl --request GET \
--url https://app.ligdicash.com/pay/v01/withdrawal/confirm/ \
--header 'Apikey: <apikey>' \
--header 'Authorization: <authorization>'import requests
url = "https://app.ligdicash.com/pay/v01/withdrawal/confirm/"
headers = {
"Apikey": "<apikey>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Apikey: '<apikey>', Authorization: '<authorization>'}};
fetch('https://app.ligdicash.com/pay/v01/withdrawal/confirm/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response_code": "<string>",
"token": "<string>",
"response_text": "<string>",
"description": "<string>",
"custom_data": [
{}
],
"status": "<string>",
"operator_id": "<string>",
"operator_name": "<string>",
"wiki": "<string>"
}Endpoints — Payout
Verify the status of a payout
Queries the status of a payout (wallet or mobile money) from the token returned at creation.
GET
/
pay
/
v01
/
withdrawal
/
confirm
/
Verify the status of a payout
Headers
string
required
API key of the LigdiCash project.
string
required
Bearer {API_TOKEN}Query parameter
string
required
Token returned by the payout creation endpoint (
/withdrawal/create or /straight/payout).Response
string
"00" = call succeeded, any other value = error.string
JWT payout token — identical to the one passed as parameter.
string
Result code label. Can be empty.
string
Additional description. Can be empty.
array
Always
[].string
Payout status:
completed, pending, or notcompleted.string
Operator identifier. Example:
"11" for Orange Burkina.string
Operator name. Example:
"ORANGE BURKINA".string
URL to the sub-codes documentation.
status | Meaning |
|---|---|
completed | Payout finalized successfully |
pending | Processing in progress |
notcompleted | Payout failed |
{
"response_code": "00",
"token": "{PAYOUT_TOKEN}",
"response_text": "",
"description": "",
"custom_data": [],
"status": "completed",
"operator_id": "11",
"operator_name": "ORANGE BURKINA",
"wiki": "https://client.ligdicash.com/wiki/createStraightWithdrawal"
}
{
"response_code": "00",
"token": "{PAYOUT_TOKEN}",
"status": "pending",
"operator_id": "",
"operator_name": "",
"wiki": "https://client.ligdicash.com/wiki/createStraightWithdrawal"
}
{
"response_code": "01",
"response_text": "Echec (Code01)",
"wiki": "https://client.ligdicash.com/wiki/createStraightWithdrawal"
}
Error codes
Wiki:https://client.ligdicash.com/wiki/createStraightWithdrawal — see Sub-codes per endpoint.
